package com.yutou.tools.mybatis.dao;

import com.yutou.tools.mybatis.model.BangumiItem;
import com.yutou.tools.mybatis.model.BangumiItemExample;
import java.util.List;

import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

@Mapper
public interface BangumiItemDao {
    long countByExample(BangumiItemExample example);

    int deleteByExample(BangumiItemExample example);

    int deleteByPrimaryKey(Integer id);

    int insert(BangumiItem record);

    int insertSelective(BangumiItem record);

    List<BangumiItem> selectByExample(BangumiItemExample example);

    BangumiItem selectByPrimaryKey(Integer id);

    int updateByExampleSelective(@Param("record") BangumiItem record, @Param("example") BangumiItemExample example);

    int updateByExample(@Param("record") BangumiItem record, @Param("example") BangumiItemExample example);

    int updateByPrimaryKeySelective(BangumiItem record);

    int updateByPrimaryKey(BangumiItem record);
}